# OpenGl_txgl.h File Reference

`#include <X11/Xlib.h>`
`#include <GL/glx.h>`

## Defines

#define | RIC120302

## Functions

Window | TxglCreateWindow (Display *, Window, Tint, Tint, Tint, Tint, Tint, Tfloat, Tfloat, Tfloat)
TStatus | TxglWinset (Display *, Window)
Window | TxglSetWindow (Display *, Window, GLXContext)
GLXContext | TxglGetContext (Window)
Window | TxglGetSubWindow (Display *, Window)
void | TxglDestroyWindow (Display *, Window)
int | TxglGetDither (void)
int | TxglGetBackDither (void)

## Define Documentation

#define RIC120302

## Function Documentation

Window TxglCreateWindow | ( | Display * | ,
|  | Window | ,
|  | Tint | ,
|  | Tint | ,
|  | Tint | ,
|  | Tint | ,
|  | Tint | ,
|  | Tfloat | ,
|  | Tfloat | ,
|  | Tfloat |
| ) |

void TxglDestroyWindow | ( | Display * | ,
|  | Window |
| ) |

int TxglGetBackDither | ( | void |  | ) |

GLXContext TxglGetContext | ( | Window |  | ) |

int TxglGetDither | ( | void |  | ) |

Window TxglGetSubWindow | ( | Display * | ,
|  | Window |
| ) |

Window TxglSetWindow | ( | Display * | ,
|  | Window | ,
|  | GLXContext |
| ) |

TStatus TxglWinset | ( | Display * | ,
|  | Window |
| ) |